OpenNMS API 1.2.9

## org.opennms.protocols.snmp.asn1
Class ASN1

    java.lang.Object
      org.opennms.protocols.snmp.asn1.ASN1

public class ASN1
extends java.lang.Object

Public ASN.1 definitions. See "SNMPv1, SNMPv2, SNMPv3 and RMON 1 and 2, 3rd Ed." by William Stallings, Published by Addision Wesley for more information.

Version:
  1.1.1.1
Author:
  OpenNMS ,

  Field Summary
  `static byte` `APPLICATION` Relevant to a particular application.
  `static byte` `BITSTRING` A sequence of zero or more bits
  `static byte` `BOOLEAN` Basic data type representing TRUE or FALSE.
  `static byte` `CONSTRUCTOR` A constructed data object such as a set or sequence.
  `static byte` `CONTEXT` Also relevant to a particular application, but limited by context
  `static byte` `INTEGER` Positive and negative whole numbers, including zero.
  `static byte` `NULL` The single value NULL.
  `static byte` `OBJECTID` The set of values associated with information objects allocated by the standard.
  `static byte` `OCTETSTRING` A sequence of zero or more octets.
  `static byte` `PRIMITIVE` A primitive data object.
  `static byte` `PRIVATE` These are types not covered by any standard but instead defined by users.
  `static byte` `SEQUENCE` Defined by referencing a fixed, ordered list of types.
  `static byte` `SET` Defined by referencing a fixed, unordered list of types, some of which may be declared optional.
  `static byte` `UNIVERSAL` Generally useful, application-independant types and construction mechanisms.

  Constructor Summary
  `ASN1()`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### BOOLEAN

      public static final byte BOOLEAN

    Basic data type representing TRUE or FALSE.

    See Also:
      Constant Field Values

  ### INTEGER

      public static final byte INTEGER

    Positive and negative whole numbers, including zero.

    See Also:
      Constant Field Values

  ### BITSTRING

      public static final byte BITSTRING

    A sequence of zero or more bits

    See Also:
      Constant Field Values

  ### OCTETSTRING

      public static final byte OCTETSTRING

    A sequence of zero or more octets. An octet is an 8-bit value.

    See Also:
      Constant Field Values

  ### NULL

      public static final byte NULL

    The single value NULL. Commonly used value where several alternatives are possible but none apply.

    See Also:
      Constant Field Values

  ### OBJECTID

      public static final byte OBJECTID

    The set of values associated with information objects allocated by the standard.

    See Also:
      Constant Field Values

  ### SEQUENCE

      public static final byte SEQUENCE

    Defined by referencing a fixed, ordered list of types. Each value is an ordered list of values, one from each component type.

    See Also:
      Constant Field Values

  ### SET

      public static final byte SET

    Defined by referencing a fixed, unordered list of types, some of which may be declared optional. Each value is an unordered list of values, one from each component type.

    See Also:
      Constant Field Values

  ### UNIVERSAL

      public static final byte UNIVERSAL

    Generally useful, application-independant types and construction mechanisms.

    See Also:
      Constant Field Values

  ### APPLICATION

      public static final byte APPLICATION

    Relevant to a particular application. These are defined in standards other than ASN.1.

    See Also:
      Constant Field Values

  ### CONTEXT

      public static final byte CONTEXT

    Also relevant to a particular application, but limited by context

    See Also:
      Constant Field Values

  ### PRIVATE

      public static final byte PRIVATE

    These are types not covered by any standard but instead defined by users.

    See Also:
      Constant Field Values

  ### PRIMITIVE

      public static final byte PRIMITIVE

    A primitive data object.

    See Also:
      Constant Field Values

  ### CONSTRUCTOR

      public static final byte CONSTRUCTOR

    A constructed data object such as a set or sequence.

    See Also:
      Constant Field Values

  Constructor Detail

  ### ASN1

      public ASN1()

  OpenNMS API 1.2.9

  Generated by ranger on May 19 2007 2335.